Package org.eclipse.ui.commands

## Class CategoryEvent

- java.lang.Object
- - org.eclipse.ui.commands.CategoryEvent

    @Deprecated
    public final class CategoryEvent
    extends Object

Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead. This API is scheduled for deletion, see Bug 431177 for details
An instance of this class describes changes to an instance of `ICategory`.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `ICategoryListener.categoryChanged(CategoryEvent)`, `CategoryEvent`
Restriction:
  This class is scheduled for deletion.

### Constructor Summary

Constructors
`CategoryEvent​(ICategory category, boolean definedChanged, boolean nameChanged)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`ICategory` `getCategory()` Deprecated.
`boolean` `hasDefinedChanged()` Deprecated.
`boolean` `hasNameChanged()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CategoryEvent

    @Deprecated
    public CategoryEvent​(ICategory category,
                         boolean definedChanged,
                         boolean nameChanged)

Deprecated.
Creates a new instance of this class.

Parameters:
  `category` - the instance of the interface that changed.
  `definedChanged` - true, iff the defined property changed.
  `nameChanged` - true, iff the name property changed.

### Method Detail

#### getCategory

    @Deprecated
    public ICategory getCategory()

Deprecated.
Returns the instance of the interface that changed.

Returns:
  the instance of the interface that changed. Guaranteed not to be `null`.

#### hasDefinedChanged

    @Deprecated
    public boolean hasDefinedChanged()

Deprecated.
Returns whether or not the defined property changed.

Returns:
  true, iff the defined property changed.

#### hasNameChanged

    @Deprecated
    public boolean hasNameChanged()

Deprecated.
Returns whether or not the name property changed.

Returns:
  true, iff the name property changed.